Loading...
Searching...
No Matches
gtsam::HybridEliminationTree Class Reference
Hybrid

## Detailed Description

Elimination Tree type for Hybrid Factor Graphs.

Inheritance diagram for gtsam::HybridEliminationTree:

## Public Member Functions

bool | equals (const This &other, double tol=1e-9) const
| Test whether the tree is equal to another.
Constructors
| HybridEliminationTree (const HybridGaussianFactorGraph &factorGraph, const VariableIndex &structure, const Ordering &order)
| Build the elimination tree of a factor graph using pre-computed column structure.
| HybridEliminationTree (const HybridGaussianFactorGraph &factorGraph, const Ordering &order)
| Build the elimination tree of a factor graph.
Public Member Functions inherited from gtsam::EliminationTree< HybridBayesNet, HybridGaussianFactorGraph >
std::pair< boost::shared_ptr< BayesNetType >, boost::shared_ptr< FactorGraphType > > | eliminate (Eliminate function) const
| Eliminate the factors to a Bayes net and remaining factor graph.
const FastVector< sharedNode > & | roots () const
| Return the set of roots (one for a tree, multiple for a forest).
const FastVector< sharedFactor > & | remainingFactors () const
| Return the remaining factors that are not pulled into elimination.
void | swap (This &other)
| Swap the data of this tree with another one, this operation is very fast.
void | print (const std::string &name="EliminationTree: ", const KeyFormatter &formatter=DefaultKeyFormatter) const
| Print the tree to cout.

## Public Types

typedef EliminationTree< HybridBayesNet, HybridGaussianFactorGraph > | Base
| Base class.
typedef HybridEliminationTree | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
Public Types inherited from gtsam::EliminationTree< HybridBayesNet, HybridGaussianFactorGraph >
typedef HybridGaussianFactorGraph | FactorGraphType
| The factor graph type.
typedef HybridGaussianFactorGraph::FactorType | FactorType
| The type of factors.
typedef boost::shared_ptr< FactorType > | sharedFactor
| Shared pointer to a factor.
typedef HybridBayesNet | BayesNetType
| The BayesNet corresponding to FACTOR.
typedef BayesNetType::ConditionalType | ConditionalType
| The type of conditionals.
typedef boost::shared_ptr< ConditionalType > | sharedConditional
| Shared pointer to a conditional.
typedef HybridGaussianFactorGraph::Eliminate | Eliminate
typedef boost::shared_ptr< Node > | sharedNode
| Shared pointer to Node.

## Friends

class | ::EliminationTreeTester

## Additional Inherited Members

Protected Types inherited from gtsam::EliminationTree< HybridBayesNet, HybridGaussianFactorGraph >
typedef EliminationTree< HybridBayesNet, HybridGaussianFactorGraph > | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
Protected Member Functions inherited from gtsam::EliminationTree< HybridBayesNet, HybridGaussianFactorGraph >
| EliminationTree (const FactorGraphType &factorGraph, const VariableIndex &structure, const Ordering &order)
| Build the elimination tree of a factor graph using pre-computed column structure.
| EliminationTree (const FactorGraphType &factorGraph, const Ordering &order)
| Build the elimination tree of a factor graph.
| EliminationTree (const This &other)
| Copy constructor - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
This & | operator= (const This &other)
| Assignment operator - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
| EliminationTree ()
| Protected default constructor.
bool | equals (const This &other, double tol=1e-9) const
| Test whether the tree is equal to another.
Protected Attributes inherited from gtsam::EliminationTree< HybridBayesNet, HybridGaussianFactorGraph >
FastVector< sharedNode > | roots_
| concept check
FastVector< sharedFactor > | remainingFactors_

## Constructor & Destructor Documentation

## HybridEliminationTree() [1/2]

gtsam::HybridEliminationTree::HybridEliminationTree | ( | const HybridGaussianFactorGraph & | factorGraph,
|  | const VariableIndex & | structure,
|  | const Ordering & | order )

Build the elimination tree of a factor graph using pre-computed column structure.

Parameters

  factorGraph | The factor graph for which to build the elimination tree
  structure | The set of factors involving each variable. If this is not precomputed, you can call the Create(const FactorGraph<DERIVEDFACTOR>&) named constructor instead.

Returns
  The elimination tree

## HybridEliminationTree() [2/2]

gtsam::HybridEliminationTree::HybridEliminationTree | ( | const HybridGaussianFactorGraph & | factorGraph,
|  | const Ordering & | order )

Build the elimination tree of a factor graph.

Note that this has to compute the column structure as a VariableIndex, so if you already have this precomputed, use the other constructor instead.

Parameters

  factorGraph | The factor graph for which to build the elimination tree

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/hybrid/HybridEliminationTree.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/hybrid/HybridEliminationTree.cpp